香港独立IP空间
香港php空间
美国php空间
域名注册

自从wordpress4.2版本出现以后,已经可以支持utf8mb4数据编码,那么如果您的php空间的数据库版本是mysql5.1的,那么很多站长朋友从mysql5.5导出来再导入到5.1的数据中的时候,那么问题来了,就会报错Unknown collation ‘utf8mb4_unicode_ci这样的字样的错误,或者是utf8mb4的错误问题。那么出现这个错误就是说mysql低级版本的不支持utf8mb4_unicode_ci数据编码格式的,那么这个时候就有很多的站长朋友就有疑问了,为什么还在用这么低级的数据库呢,怎么就不升级上去呢,这个应该是各个空间商也想说的问题,这个问题就是兼容性的问题,目前大多数的源码程序对5.1的兼容性还是比较不错的,还有就是升级可能存在一定的危险,原因是我们的数据库的版本是通过专业的高级工程进行对数据库的修复,此绝无第二,所以说没有彻底的测试出版本的问题的时候,无忧主机是不会轻易的进行升级的,这个是对客户的一种责任。废话不多说了,就看无忧主机小编怎么解决的这个问题吧。
其实这个方法非常的简单,就是替换这个数据编码即可,方法如下:
1、把数据库表用editplus软件进行打开,ctrl+h快捷键进行替换,就是把utf8mb4_unicode_ci这个数据编码替换成utf8_unicode_ci这个数据编码,替换保存之后,再导入,这个时候会发现成功的导入进去了。
2、然后再把包含有utf8mb4的字样,替换为utf8即可。
就是从这两步骤可以解决wordpress导入的问题,但是根据这篇文章我们也可以解决很多源码上只要出现这个问题的问题。所以这篇文章不只是wordpress的源码程序限定的文章,只要您的程序支持了utf8mb4的数据库编码的都是可以使用该文章的方法。
希望无忧主机小编的这个解释对站长朋友有所的帮助!

无忧主机相关文章推荐阅读:
WORDPRESS程序通过SQL语句快速更换作者用户ID的步骤
WORDPRESS程序如何通过插件给网站关键词自动添加超链接?
WORDPRESS设置了文章查看密码之后怎么把留言提示修改教程

本文地址:http://www.51php.com/wordpress/20954.html

喜欢本文或觉得本文对您有帮助,请分享给您的朋友 ^_^

阅读本文的人还阅读:


搜索技术文档